Debian Bug report logs - #384428
xsensors needs "unclutter -noevents"

version graph

Package: unclutter; Maintainer for unclutter is Axel Beckert <abe@debian.org>; Source for unclutter is src:unclutter.

Reported by: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>

Date: Thu, 24 Aug 2006 07:48:01 UTC

Severity: important

Tags: confirmed, patch

Merged with 266118, 627007

Found in versions 8-1, unclutter/8-14

Fixed in version unclutter/8-19

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nick Rusnov <nickrusnov@debian.org>:
Bug#384428; Package xsensors. Full text and rfc822 format available.

Acknowledgement sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
New Bug report received and forwarded. Copy sent to Nick Rusnov <nickrusnov@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xsensors needs "unclutter -noevents"
Date: Thu, 24 Aug 2006 09:18:34 +0200
Package: xsensors
Version: 0.46-1
Severity: minor

When unclutter hides the cursor while it is over the xsensors window, the
CPU load goes to 100 %.

Running unclutter with the option "-noevents" remedies this problem, but
then Emacs and other applications might get confused (don't use Emacs, so
can't tell):

,----[ unclutter(1) ]---
|
| -noevents
|        stops  unclutter  sending  a  pseudo  EnterNotify event to the X
|        client whose cursor has been stolen.  Sending  the  event  helps
|        programs  like  emacs  think that they have not lost the pointer
|        focus.  This option is provided for backwards  compatibility  in
|        case some clients get upset.
|
`----

I don't know if this can be considered a bug of xsensors, but maybe
xsensors could be made handling pseudo EnterNotify events differently
(maybe simply ignore them?), so that these events can still be used for
Emacs and other applications.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=en_US, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages xsensors depends on:
ii  libatk1.0-0                  1.12.1-1    The ATK accessibility toolkit
ii  libc6                        2.3.6-15    GNU C Library: Shared libraries
ii  libglib2.0-0                 2.10.3-3    The GLib library of C routines
ii  libgtk2.0-0                  2.8.18-1    The GTK+ graphical user interface 
ii  libpango1.0-0                1.12.3-1+b1 Layout and rendering of internatio
ii  libsensors3                  1:2.10.0-7  library to read temperature/voltag
ii  lm-sensors                   1:2.10.0-7  utilities to read temperature/volt

Versions of packages xsensors recommends:
pn  lm-sensors-mod                <none>     (no description available)

-- no debconf information



Added tag(s) unreproducible. Request was from Nanley Chery <nanleychery@gmail.com> to control@bugs.debian.org. (Sun, 10 Jan 2010 04:42:04 GMT) Full text and rfc822 format available.

Message sent on to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Bug#384428. (Sun, 10 Jan 2010 04:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 384428-submitter@bugs.debian.org (full text, mbox):

From: Nanley Chery <nanleychery@gmail.com>
To: 384428-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: xsensors needs "unclutter -noevents"
Date: Sat, 09 Jan 2010 23:40:03 -0500
tags 384428 = unreproducible

Hi Marc-Jano,

I could not reproduce this bug with xsensors 0.50 or 0.60. Could you
test if this problem still exists for you with the latest version of
xsensors?

Thanks.





Information stored :
Bug#384428; Package xsensors. (Sun, 10 Jan 2010 14:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Extra info received and filed, but not forwarded. (Sun, 10 Jan 2010 14:57:08 GMT) Full text and rfc822 format available.

Message #15 received at 384428-quiet@bugs.debian.org (full text, mbox):

From: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
To: Nanley Chery <nanleychery@gmail.com>, 384428-quiet@bugs.debian.org
Cc: 384428-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#384428: xsensors needs "unclutter -noevents"
Date: Sun, 10 Jan 2010 15:53:48 +0100
On Sun, 2010-01-10, at 05:40:03 (+0100), Nanley Chery wrote:
[...]
> I could not reproduce this bug with xsensors 0.50 or 0.60. Could you
> test if this problem still exists for you with the latest version of
> xsensors?
[...]

Quickly tried 0.50: It says

------ snip -------
Sensor 'k8temp' not supported by xsensors!
Sensor 'it8720' not supported by xsensors!
------ snip -------

and shows an extremely tiny window with no content (even if resized by
me).


Gruß

  Marc-Jano




Message sent on to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Bug#384428. (Sun, 10 Jan 2010 14:57:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#384428; Package xsensors. (Sun, 10 Jan 2010 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nanley Chery <nanleychery@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 10 Jan 2010 15:12:04 GMT) Full text and rfc822 format available.

Message #23 received at 384428-quiet@bugs.debian.org (full text, mbox):

From: Nanley Chery <nanleychery@gmail.com>
To: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
Cc: 384428-quiet@bugs.debian.org
Subject: Re: Bug#384428: xsensors needs "unclutter -noevents"
Date: Sun, 10 Jan 2010 10:08:27 -0500
[Message part 1 (text/plain, inline)]
Please try again with version 0.60 as it provides support for these
chipsets.

Thanks.
[Message part 2 (text/html, inline)]

Information stored :
Bug#384428; Package xsensors. (Sun, 10 Jan 2010 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Extra info received and filed, but not forwarded. (Sun, 10 Jan 2010 16:33:05 GMT) Full text and rfc822 format available.

Message #28 received at 384428-quiet@bugs.debian.org (full text, mbox):

From: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
To: Nanley Chery <nanleychery@gmail.com>
Cc: 384428-quiet@bugs.debian.org
Subject: Re: Bug#384428: xsensors needs "unclutter -noevents"
Date: Sun, 10 Jan 2010 17:32:23 +0100
quit

On Sun, 2010-01-10, at 16:08:27 (+0100), Nanley Chery wrote:
> Please try again with version 0.60 as it provides support for these
> chipsets.

Tried 0.60, and the problem still persists, although the load is not
100 % anymore, but 50 % on each of my 2 cpu cores (AMD64,
2 x 2.6 GHz). "-noevents" still prevents this behavior, with the
potential problems noted my the original bug report (Emacs and maybe
others).


Regards

  Marc-Jano




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#384428; Package xsensors. (Mon, 11 Jan 2010 21:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nanley Chery <nanleychery@gmail.com>:
Extra info received and forwarded to list. (Mon, 11 Jan 2010 21:12:06 GMT) Full text and rfc822 format available.

Message #33 received at 384428@bugs.debian.org (full text, mbox):

From: Nanley Chery <nanleychery@gmail.com>
To: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
Cc: control@bugs.debian.org, 384428@bugs.debian.org
Subject: Re: Bug#384428: xsensors needs "unclutter -noevents"
Date: Mon, 11 Jan 2010 16:08:33 -0500
reassign 384428 unclutter
#thanks

Looking at other reports online it seems that unclutter has this problem
with many gtk apps [1] and the fix  Therefore, I'm reassigning this bug
to unclutter. Maybe the maintainer can merge this with the related
unclutter bug [2].

Thanks.

[1] https://bugs.launchpad.net/ubuntu/+source/unclutter/+bug/385034 
http://www.mail-archive.com/fvwm-workers@lists.math.uh.edu/msg14134.html 
http://code.google.com/p/xmonad/issues/detail?id=45 
http://tech.groups.yahoo.com/group/links-browser/message/2145 

[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=266118 


On Sun, 2010-01-10 at 17:32 +0100, Marc-Jano Knopp wrote: 
> quit
> 
> On Sun, 2010-01-10, at 16:08:27 (+0100), Nanley Chery wrote:
> > Please try again with version 0.60 as it provides support for these
> > chipsets.
> 
> Tried 0.60, and the problem still persists, although the load is not
> 100 % anymore, but 50 % on each of my 2 cpu cores (AMD64,
> 2 x 2.6 GHz). "-noevents" still prevents this behavior, with the
> potential problems noted my the original bug report (Emacs and maybe
> others).
> 
> 
> Regards
> 
>   Marc-Jano







Bug reassigned from package 'xsensors' to 'unclutter'. Request was from Nanley Chery <nanleychery@gmail.com> to control@bugs.debian.org. (Mon, 11 Jan 2010 21:12:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xsensors/0.46-1. Request was from Nanley Chery <nanleychery@gmail.com> to control@bugs.debian.org. (Mon, 11 Jan 2010 21:12:08 GMT) Full text and rfc822 format available.

Forcibly Merged 266118 384428. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 11 Jan 2010 21:54:07 GMT) Full text and rfc822 format available.

Forcibly Merged 266118 384428 627007. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 19 May 2011 17:45:06 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Elliott Mitchell <ehem@m5p.com> to control@bugs.debian.org. (Wed, 20 Jul 2011 23:39:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Elliott Mitchell <ehem@m5p.com> to control@bugs.debian.org. (Wed, 20 Jul 2011 23:39:08 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sun, 31 Mar 2013 12:33:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 29 Apr 2013 23:57:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 30 Apr 2013 00:39:04 GMT) Full text and rfc822 format available.

Message #52 received at 266118-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 266118-close@bugs.debian.org
Subject: Bug#266118: fixed in unclutter 8-19
Date: Thu, 02 May 2013 00:32:52 +0000
Source: unclutter
Source-Version: 8-19

We believe that the bug you reported is fixed in the latest version of
unclutter, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 266118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated unclutter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 May 2013 02:15:08 +0200
Source: unclutter
Binary: unclutter
Architecture: source amd64
Version: 8-19
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 unclutter  - hides the mouse cursor in X after a period of inactivity
Closes: 266118
Changes: 
 unclutter (8-19) unstable; urgency=low
 .
   * Add patch by Tao Nelson to fix blinking pointer and 100% CPU usage
     with GTK applications. (Closes: #266118) Thanks Tao!
   * Bump debhelper compatibility to 9 to ease hardening build flags
     + Update versioned debhelper build-dependency to >= 9~.
   * Add patch to properly pass $LDFLAGS (fixes lintian warning
     hardening-no-relro) and $CFLAGS (fixes blhc warning)
   * Add patch to fix lintian warning hyphen-used-as-minus-sign.
   * Bump Standards-Version to 3.9.4 (no changes)
   * Fix grammar in README.source.
Checksums-Sha1: 
 c4bc21e2585cd65f3eaeaa6c0305627f8f592c90 1248 unclutter_8-19.dsc
 16a88373c8ea4ff6e9442b7f0361d3a5b36b8953 14134 unclutter_8-19.debian.tar.gz
 94882190e9b0fd2d15f60e2f34d3f94dc45e839d 17948 unclutter_8-19_amd64.deb
Checksums-Sha256: 
 eb586ab16304998c0b29193155bc0add4f5d0b291a7dcda8876c6ae7cd4eb61b 1248 unclutter_8-19.dsc
 6e31d1f30d8490ad387f7380f989e0574b6525895616a4c3724534ac0890f4e8 14134 unclutter_8-19.debian.tar.gz
 d01a4a1982e3a300405d121baa21f35a99c09047523484dd34a1931f98fbb0d7 17948 unclutter_8-19_amd64.deb
Files: 
 a649e845e0163a004ccbe32cdb9dc4e7 1248 x11 optional unclutter_8-19.dsc
 b67447d490f936ed187ffc9adf72b270 14134 x11 optional unclutter_8-19.debian.tar.gz
 2a0c8b83e02b25d7597c08bfa09028a0 17948 x11 optional unclutter_8-19_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGBsFEACgkQwJ4diZWTDt6+UwCfY1dJRsimJqshE8qJdMHru2Zt
j7kAnRoFeOn185HnpTUQen0sqgB7PGhp
=WY8C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Jun 2013 07:27:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:43:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.